%define oname Pootle

Summary: Web-based translation
Name: pootle
Version: 2.1.5
Release: %mkrel 1
License: GPLv2+
Group: Development/Other
Url: http://translate.sourceforge.net/
Source0: http://downloads.sourceforge.net/translate/%{oname}-%{version}.tar.bz2
Patch0: pootle-2.1-optimal-settings.patch
%py_requires -d

Requires: memcached
Requires: python-translate >= 1.5.1
Requires: python-django >= 1.0
Requires: apache-mod_wsgi
Requires: python-memcached
Requires: python-lxml
Suggests: python-levenshtein
Suggests: iso-codes
Suggests: unzip
Suggests: xapian-bindings-python >= 1.0.13
Suggests: xapian-core >= 1.0.13
Suggests: python-mysql
Suggests: mysqlserver
Suggests: apache-mod_deflate
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}


%description
Pootle is a web translation and translation management engine.

Its features include::
  * Translation of Gettext PO and XLIFF files.
  * Submitting to remote version control systems (VCS).
  * Managing groups of translators
  * Online webbased or offline translation
  * Quality checks


%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --root %{buildroot}

install -d -m 755 %{buildroot}%{_var}/www/%{name}
cp %{buildroot}%{_docdir}/%{name}/wsgi.py %{buildroot}%{_var}/www/%{name}

install -d -m 755 %{buildroot}%{webappconfdir}
cat >> %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
WSGIScriptAlias /%{name} %{_var}/www/%{name}/wsgi.py
<Directory %{_var}/www/%{name}>
    Order allow,deny
    Allow from all
</Directory>

Alias /%{name}/html %{_datadir}/%{name}/html
<Directory "%{_datadir}/%{name}/html">
    Order allow,deny
    Allow from all
</Directory>

Alias /%{name}/export %{_var}/lib/%{name}/po
<Directory "%{_var}/lib/%{name}/po">
    Order allow,deny
    Allow from all
</Directory>

<IfModule mod_deflate.c>
    <location /%{name}/html>
        SetOutputFilter DEFLATE
    </location>
    <location /%{name}/export>
        SetOutputFilter DEFLATE
    </location>
</IfModule>
EOF

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%{_bindir}/%{oname}Server
%{_bindir}/updatetm
%{_bindir}/import_pootle_prefs
%{_datadir}/%{name}
%{py_puresitedir}/contact_form_i18n
%{py_puresitedir}/%{name}
%{py_puresitedir}/%{name}_app
%{py_puresitedir}/%{name}_language
%{py_puresitedir}/%{name}_profile
%{py_puresitedir}/%{name}_project
%{py_puresitedir}/%{name}_statistics
%{py_puresitedir}/%{name}_terminology
%{py_puresitedir}/%{name}_translationproject
%{py_puresitedir}/%{name}_store
%{py_puresitedir}/%{name}_notifications
%{py_puresitedir}/%{name}_autonotices
%{py_puresitedir}/%{name}_misc
%{py_puresitedir}/djblets
%{py_puresitedir}/profiles
%{py_puresitedir}/registration
%{py_puresitedir}/*.egg-info
%{_var}/www/%{name}
%attr(0755,apache,apache) %{_var}/lib/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/localsettings.py
%config(noreplace) %{_webappconfdir}/%{name}.conf


%changelog
* Sun Feb 20 2011 Oliver Burger <rpm@mandrivauser.de> 2.1.5-1mud2010.2
- new version 2.1.5

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-2mdv2010.1
+ Revision: 501749
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Tue Jan 12 2010 Jérôme Brenier <incubusss@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 490116
- new version 2.0.1

* Fri Dec 11 2009 Jérôme Brenier <incubusss@mandriva.org> 2.0.0-2mdv2010.1
+ Revision: 476231
- a lot of specfile modifications to fit the new version, based on the work
  of Alaa Abd el Fattah (upstream) (Bugzilla #56293)
- add pootle-2.0-optimal-settings.patch

* Thu Dec 10 2009 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 476202
- fix build
- Bump version requires
- new version 2.0.0

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 441893
- rebuild

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 326083
- update to new version 1.2.1

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2009.1
+ Revision: 325805
- rebuild

* Sat Nov 08 2008 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 301131
- New version 1.2.0

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 234423
- New version 1.1.0

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-1mdv2008.1
+ Revision: 154281
- 1.0.2
- remove ElementTree patch, fixed upstream
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.11-1mdv2008.0
+ Revision: 17489
- 0.11


* Fri Jan 12 2007 Olivier Blin <oblin@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 108075
- move config files in /etc/pootle
- move data files in webapp locations
- fix elementtree import
- initial pootle package
- Create pootle

